require 'guard/compat/plugin'

module Guard
  class Plant < Plugin

    def run_on_additions(paths = [])
      import_seeds(paths)
    end

    def run_on_modifications(paths = [])
      import_seeds(paths)
    end

    def start
      import_seeds([])
    end

    private

    def import_seeds(paths)
      Guard::Compat::UI.info "Auto importing seeds"
      if paths.size == 0
        @result = system('bundle exec rake plant:seeds')
      else
        @result = 'Added seeds for:'
        paths.each do |path|
          system("bundle exec rake plant:specific_seed[#{path}]")
          @result += " #{path}"
        end
      end
      Guard::Compat::UI.info "Seeds imported: #{@result}"
    end
  end
end
